<?php
/**
 * V1 Scrollsequence Main File
 * 
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-scrollsequence-activator.php
 */
function activate_scrollsequence() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-scrollsequence-activator.php';
    Scrollsequence_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-scrollsequence-deactivator.php
 */
function deactivate_scrollsequence() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-scrollsequence-deactivator.php';
    Scrollsequence_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_scrollsequence' );
register_deactivation_hook( __FILE__, 'deactivate_scrollsequence' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-scrollsequence.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_scrollsequence() {

    $plugin = new Scrollsequence();
    $plugin->run();

}
run_scrollsequence(); 





































